<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:ns0="http://www.ra.ee/public/Digiarhiiv/UAM/schemas/export/arhiiviskeem_eksport_EE_2.0"
				xmlns:o="http://www.ra.ee/public/Digiarhiiv/UAM/schemas/import/UAM_import_EE_2.1"
				xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
				xsi:schemaLocation="http://www.ra.ee/public/Digiarhiiv/UAM/schemas/import/UAM_import_EE_2.1"
				exclude-result-prefixes="ns0 o xsi">
	<xsl:output method="xml" encoding="UTF-8" indent="yes"/>
	<xsl:template match="/">		
		<o:UAM_import>	
			<o:Arhiivikirjeldus>
				<xsl:for-each select="ns0:UAM_eksport_arhiivikirjeldus/ns0:Kirjeldusyksus">
					<xsl:if test="ns0:KyTasand='toimik'">
						<o:Kirjeldusyksus>
							<xsl:for-each select="ns0:KyTasand">
								<o:KyTasand>
									<xsl:value-of select="string(.)"/>
								</o:KyTasand>
							</xsl:for-each>
							<xsl:for-each select="ns0:KyIdentiteediala">
								<o:KyIdentiteediala>
									<!--xsl:for-each select="ns0:KyIdent">
								<o:KyIdent>
									<xsl:value-of select="substring-after(substring-after(substring-after(string(.),'-'),'-'),'-')"/>
								</o:KyIdent>
							</xsl:for-each-->
									<xsl:for-each select="ns0:KyViit">
										<o:KyViit>
											<xsl:value-of select="string(.)"/>
										</o:KyViit>
									</xsl:for-each>							
									<xsl:for-each select="ns0:KyIdent">
										<o:KyVanemViit>
											<xsl:choose>
												<xsl:when test="contains(substring-before(substring-after(string(.),'-'), '-'), '.') and not(contains(substring-after(substring-after(string(.),'-'), '-'), '.')) "> 
													<xsl:value-of select="concat(substring-before(substring-after(string(.),'-'), '-'), '-', substring-before(substring-after(substring-after(string(.),'-'),'-'), '-'))"/> <!-- EAA.123-1.1-1-2 -> 1-1 (no end digit)-->
												</xsl:when>
												<xsl:when test="contains(substring-before(substring-after(string(.),'-'), '-'), '.') and contains(substring-after(substring-after(string(.),'-'), '-'), '.')"> 
													<xsl:value-of select="concat(substring-before(substring-after(string(.),'-'), '-'), '-',substring-before(substring-after(substring-after(string(.),'-'), '-'), '-'))"/> 	<!-- EAA.123-1.2-1.2-1 -> 1.2-1.2-1 (no end digit)-->
												</xsl:when>
												<xsl:when test="contains(substring-after(substring-after(string(.),'-'), '-'), '-') "> 
													<xsl:value-of select="concat(substring-before(substring-after(string(.),'-'), '-'), '-', substring-before(substring-after(substring-after(string(.),'-'),'-'), '-'))"/> <!-- EAA.123-2-1-12 -> 2-1 and EAA.123-2-1-1 -> 2-1 --> 
												</xsl:when>	
												<xsl:when test="not(contains(substring-after(substring-after(string(.),'-'), '-'), '-')) "> <!-- ERA.5142.1-1-2 -> 1 --> 
													<xsl:value-of select="substring-before(substring-after(string(.),'-'), '-')"/>
												</xsl:when>												
												<xsl:otherwise>																																		
													<xsl:value-of select="substring-before(substring-after(string(.),'-'), '-')"/> <!--ERA.5070-2-8 -> 2--> 
												</xsl:otherwise>
											</xsl:choose>
										</o:KyVanemViit>
									</xsl:for-each>
									<!--xsl:for-each select="ns0:FNS">
								<o:FNS>
									<xsl:value-of select="string(.)"/>
								</o:FNS>
							</xsl:for-each-->
									<xsl:for-each select="ns0:EelmineFNS">
										<o:EelmineFNS>
											<xsl:value-of select="string(.)"/>
										</o:EelmineFNS>
									</xsl:for-each>
									<xsl:for-each select="ns0:KyPealkiri">
										<o:KyPealkiri>
											<xsl:value-of select="string(.)"/>
										</o:KyPealkiri>
									</xsl:for-each>
									<xsl:for-each select="ns0:KyPealkiriVoorkeeles">
										<o:KyPealkiriVoorkeeles>
											<xsl:for-each select="ns0:Pealkiri">
												<o:Pealkiri>
													<xsl:value-of select="string(.)"/>
												</o:Pealkiri>
											</xsl:for-each>
											<xsl:for-each select="ns0:Keel">
												<o:Keel>
													<xsl:value-of select="string(.)"/>
												</o:Keel>
											</xsl:for-each>
										</o:KyPealkiriVoorkeeles>
									</xsl:for-each>
									<xsl:for-each select="ns0:KyAeg">
										<o:KyAeg>
											<xsl:for-each select="ns0:Algus">
												<o:Algus>
													<xsl:for-each select="ns0:Tyyp">
														<o:Tyyp>
															<xsl:value-of select="string(.)"/>
														</o:Tyyp>
													</xsl:for-each>
													<xsl:for-each select="ns0:Tapsus">
														<xsl:variable name="var2_resultof_cast" select="string(.)"/>
														<o:Tapsus>
															<xsl:value-of select="string(((normalize-space($var2_resultof_cast) = 'true') or (normalize-space($var2_resultof_cast) = '1')))"/>
														</o:Tapsus>
													</xsl:for-each>
													<xsl:for-each select="ns0:Vaartus">
														<o:Vaartus>
															<xsl:value-of select="string(.)"/>
														</o:Vaartus>
													</xsl:for-each>
												</o:Algus>
											</xsl:for-each>
											<xsl:for-each select="ns0:Lopp">
												<o:Lopp>
													<xsl:for-each select="ns0:Tyyp">
														<o:Tyyp>
															<xsl:value-of select="string(.)"/>
														</o:Tyyp>
													</xsl:for-each>
													<xsl:for-each select="ns0:Tapsus">
														<xsl:variable name="var3_resultof_cast" select="string(.)"/>
														<o:Tapsus>
															<xsl:value-of select="string(((normalize-space($var3_resultof_cast) = 'true') or (normalize-space($var3_resultof_cast) = '1')))"/>
														</o:Tapsus>
													</xsl:for-each>
													<xsl:for-each select="ns0:Vaartus">
														<o:Vaartus>
															<xsl:value-of select="string(.)"/>
														</o:Vaartus>
													</xsl:for-each>
												</o:Lopp>
											</xsl:for-each>
										</o:KyAeg>
									</xsl:for-each>
									<!--xsl:for-each select="ns0:KyMootarv">
								<xsl:variable name="var4_yhik" select="@yhik"/>
								<o:KyMootarv>
									<xsl:if test="string(boolean($var4_yhik)) != 'false'">
										<xsl:attribute name="yhik" namespace="">
											<xsl:value-of select="string($var4_yhik)"/>
										</xsl:attribute>
									</xsl:if>
									<xsl:value-of select="string(floor(number(string(.))))"/>
								</o:KyMootarv>
							</xsl:for-each-->
									<xsl:for-each select="ns0:KyKuuluvus">
										<o:KyKuuluvus>
											<xsl:for-each select="ns0:Omanik">
												<o:Omanik>
													<xsl:value-of select="string(.)"/>
												</o:Omanik>
											</xsl:for-each>
											<xsl:for-each select="ns0:Aeg">
												<o:Aeg>
													<xsl:for-each select="ns0:Tyyp">
														<o:Tyyp>
															<xsl:value-of select="string(.)"/>
														</o:Tyyp>
													</xsl:for-each>
													<xsl:for-each select="ns0:Tapsus">
														<xsl:variable name="var5_resultof_cast" select="string(.)"/>
														<o:Tapsus>
															<xsl:value-of select="string(((normalize-space($var5_resultof_cast) = 'true') or (normalize-space($var5_resultof_cast) = '1')))"/>
														</o:Tapsus>
													</xsl:for-each>
													<xsl:for-each select="ns0:Vaartus">
														<o:Vaartus>
															<xsl:value-of select="string(.)"/>
														</o:Vaartus>
													</xsl:for-each>
												</o:Aeg>
											</xsl:for-each>
										</o:KyKuuluvus>
									</xsl:for-each>
									<!--xsl:for-each select="ns0:KyPiirdaatumid">
								<o:KyPiirdaatumid>
									<xsl:value-of select="string(.)"/>
								</o:KyPiirdaatumid>
							</xsl:for-each-->
								</o:KyIdentiteediala>
							</xsl:for-each>
							<xsl:for-each select="ns0:KySisuStruktAla">
								<o:KySisuStruktAla>
									<xsl:for-each select="ns0:KyKogus">
										<o:KyKogus>
											<xsl:for-each select="ns0:Kogus">
												<o:Kogus>
													<xsl:value-of select="string(number(string(.)))"/>
												</o:Kogus>
											</xsl:for-each>
											<xsl:for-each select="ns0:Yhik">
												<o:Yhik>
													<xsl:value-of select="string(.)"/>
												</o:Yhik>
											</xsl:for-each>
										</o:KyKogus>
									</xsl:for-each>
									<xsl:for-each select="ns0:KyMarksona">
										<o:KyMarksona><xsl:value-of select="normalize-space(string(.))"/></o:KyMarksona>
									</xsl:for-each>
									<xsl:for-each select="ns0:KySeotudArhiivimoodustaja">
										<o:KySeotudArhiivimoodustaja>
											<xsl:value-of select="string(.)"/>
										</o:KySeotudArhiivimoodustaja>
									</xsl:for-each>
									<xsl:for-each select="ns0:KyHoiustamiseAjalugu">
										<o:KyHoiustamiseAjalugu>
											<xsl:value-of select="string(.)"/>
										</o:KyHoiustamiseAjalugu>
									</xsl:for-each>
									<xsl:for-each select="ns0:KySisu">
										<o:KySisu>
											<xsl:value-of select="string(.)"/>
										</o:KySisu>
									</xsl:for-each>
									<xsl:for-each select="ns0:KyHindamine">
										<o:KyHindamine>
											<xsl:for-each select="ns0:Otsus">
												<o:Otsus>
													<xsl:value-of select="string(number(string(.)))"/>
												</o:Otsus>
											</xsl:for-each>
											<xsl:for-each select="ns0:Aeg">
												<o:Aeg>
													<xsl:value-of select="string(.)"/>
												</o:Aeg>
											</xsl:for-each>
											<xsl:for-each select="ns0:Pealkiri">
												<o:Pealkiri>
													<xsl:value-of select="string(.)"/>
												</o:Pealkiri>
											</xsl:for-each>
											<xsl:for-each select="ns0:Sisu">
												<o:Sisu>
													<xsl:value-of select="string(.)"/>
												</o:Sisu>
											</xsl:for-each>
										</o:KyHindamine>
									</xsl:for-each>
									<xsl:for-each select="ns0:KyKorrastussysteem">
										<o:KyKorrastussysteem>
											<xsl:value-of select="string(.)"/>
										</o:KyKorrastussysteem>
									</xsl:for-each>
									<xsl:for-each select="ns0:KyTaienemine">
										<o:KyTaienemine>
											<xsl:value-of select="string(.)"/>
										</o:KyTaienemine>
									</xsl:for-each>
									<xsl:for-each select="ns0:KyOtsivahend">
										<o:KyOtsivahend>
											<xsl:value-of select="string(.)"/>
										</o:KyOtsivahend>
									</xsl:for-each>
									<xsl:for-each select="ns0:KyMetaLiik">
										<o:KyMetaLiik>
											<xsl:for-each select="node()[boolean(self::text())]">
												<xsl:value-of select="string(.)"/>
											</xsl:for-each>
										</o:KyMetaLiik>
									</xsl:for-each>
								</o:KySisuStruktAla>
							</xsl:for-each>
							<xsl:for-each select="ns0:KyJuurdepaasuala">
								<o:KyJuurdepaasuala>
									<xsl:for-each select="ns0:KyKeel">
										<o:KyKeel>
											<xsl:for-each select="ns0:Keel">
												<o:Keel>
													<xsl:value-of select="string(.)"/>
												</o:Keel>
											</xsl:for-each>
											<xsl:for-each select="ns0:Kirjaviis">
												<o:Kirjaviis>
													<xsl:value-of select="string(.)"/>
												</o:Kirjaviis>
											</xsl:for-each>
										</o:KyKeel>
									</xsl:for-each>
									<xsl:for-each select="ns0:JuurdepaasPiirang">
										<o:JuurdepaasPiirang>
											<xsl:for-each select="ns0:Piirang">
												<o:Piirang>
													<xsl:value-of select="string(.)"/>
												</o:Piirang>
											</xsl:for-each>
											<xsl:for-each select="ns0:PiirangAeg">
												<o:PiirangAeg>
													<xsl:for-each select="ns0:Algus">
														<o:Algus>
															<xsl:for-each select="ns0:Tyyp">
																<o:Tyyp>
																	<xsl:value-of select="string(.)"/>
																</o:Tyyp>
															</xsl:for-each>
															<xsl:for-each select="ns0:Tapsus">
																<xsl:variable name="var6_resultof_cast" select="string(.)"/>
																<o:Tapsus>
																	<xsl:value-of select="string(((normalize-space($var6_resultof_cast) = 'true') or (normalize-space($var6_resultof_cast) = '1')))"/>
																</o:Tapsus>
															</xsl:for-each>
															<xsl:for-each select="ns0:Vaartus">
																<o:Vaartus>
																	<xsl:value-of select="string(.)"/>
																</o:Vaartus>
															</xsl:for-each>
														</o:Algus>
													</xsl:for-each>
													<xsl:for-each select="ns0:Lopp">
														<o:Lopp>
															<xsl:for-each select="ns0:Tyyp">
																<o:Tyyp>
																	<xsl:value-of select="string(.)"/>
																</o:Tyyp>
															</xsl:for-each>
															<xsl:for-each select="ns0:Tapsus">
																<xsl:variable name="var7_resultof_cast" select="string(.)"/>
																<o:Tapsus>
																	<xsl:value-of select="string(((normalize-space($var7_resultof_cast) = 'true') or (normalize-space($var7_resultof_cast) = '1')))"/>
																</o:Tapsus>
															</xsl:for-each>
															<xsl:for-each select="ns0:Vaartus">
																<o:Vaartus>
																	<xsl:value-of select="string(.)"/>
																</o:Vaartus>
															</xsl:for-each>
														</o:Lopp>
													</xsl:for-each>
												</o:PiirangAeg>
											</xsl:for-each>
											<xsl:for-each select="ns0:PiirangKestus">
												<o:PiirangKestus>
													<xsl:value-of select="string(.)"/>
												</o:PiirangKestus>
											</xsl:for-each>
											<xsl:for-each select="ns0:PiirangAlus">
												<o:PiirangAlus>
													<xsl:value-of select="string(.)"/>
												</o:PiirangAlus>
											</xsl:for-each>
										</o:JuurdepaasPiirang>
									</xsl:for-each>
									<xsl:for-each select="ns0:IPR">
										<o:IPR>
											<xsl:for-each select="ns0:IPROmanik">
												<o:IPROmanik>
													<xsl:value-of select="string(.)"/>
												</o:IPROmanik>
											</xsl:for-each>
											<xsl:for-each select="ns0:IPRTahtaeg">
												<o:IPRTahtaeg>
													<xsl:value-of select="string(.)"/>
												</o:IPRTahtaeg>
											</xsl:for-each>
											<xsl:for-each select="ns0:IPRAlus">
												<o:IPRAlus>
													<xsl:value-of select="string(.)"/>
												</o:IPRAlus>
											</xsl:for-each>
											<xsl:for-each select="ns0:IPRKirjeldus">
												<o:IPRKirjeldus>
													<xsl:value-of select="string(.)"/>
												</o:IPRKirjeldus>
											</xsl:for-each>
										</o:IPR>
									</xsl:for-each>
								</o:KyJuurdepaasuala>
							</xsl:for-each>
							<xsl:for-each select="ns0:KySeonduvAines">
								<o:KySeonduvAines>
									<xsl:for-each select="ns0:SeotudOsaIdent">
										<o:SeotudOsaIdent>
											<xsl:value-of select="string(.)"/>
										</o:SeotudOsaIdent>
									</xsl:for-each>
									<xsl:for-each select="ns0:SeotudOsaSelgitus">
										<o:SeotudOsaSelgitus>
											<xsl:value-of select="string(.)"/>
										</o:SeotudOsaSelgitus>
									</xsl:for-each>
								</o:KySeonduvAines>
							</xsl:for-each>
							<xsl:for-each select="ns0:KyPublikatsioon">
								<o:KyPublikatsioon>
									<xsl:value-of select="string(.)"/>
								</o:KyPublikatsioon>
							</xsl:for-each>
							<xsl:for-each select="ns0:KyKirjeldusAndmed">
								<o:KyKirjeldusAndmed>
									<xsl:for-each select="ns0:Nimi">
										<o:Nimi>
											<xsl:value-of select="string(.)"/>
										</o:Nimi>
									</xsl:for-each>
									<xsl:for-each select="ns0:Aeg">
										<o:Aeg>
											<xsl:for-each select="ns0:Tyyp">
												<o:Tyyp>
													<xsl:value-of select="string(.)"/>
												</o:Tyyp>
											</xsl:for-each>
											<xsl:for-each select="ns0:Tapsus">
												<xsl:variable name="var8_resultof_cast" select="string(.)"/>
												<o:Tapsus>
													<xsl:value-of select="string(((normalize-space($var8_resultof_cast) = 'true') or (normalize-space($var8_resultof_cast) = '1')))"/>
												</o:Tapsus>
											</xsl:for-each>
											<xsl:for-each select="ns0:Vaartus">
												<o:Vaartus>
													<xsl:value-of select="string(.)"/>
												</o:Vaartus>
											</xsl:for-each>
										</o:Aeg>
									</xsl:for-each>
									<xsl:for-each select="ns0:Tegevus">
										<o:Tegevus>
											<xsl:value-of select="string(.)"/>
										</o:Tegevus>
									</xsl:for-each>
								</o:KyKirjeldusAndmed>
							</xsl:for-each>
							<xsl:for-each select="ns0:KyKasutatudAllikad">
								<o:KyKasutatudAllikad>
									<xsl:value-of select="string(.)"/>
								</o:KyKasutatudAllikad>
							</xsl:for-each>
							<xsl:for-each select="ns0:KyMarkused">
								<o:KyMarkused>
									<xsl:value-of select="string(.)"/>
								</o:KyMarkused>
							</xsl:for-each>
							<xsl:for-each select="ns0:KyTegevus">
								<o:KyTegevus>
									<xsl:for-each select="ns0:TegevusNimetus">
										<o:TegevusNimetus>
											<xsl:value-of select="string(.)"/>
										</o:TegevusNimetus>
									</xsl:for-each>
									<xsl:for-each select="ns0:TeostajaNimi">
										<o:TeostajaNimi>
											<xsl:value-of select="string(.)"/>
										</o:TeostajaNimi>
									</xsl:for-each>
									<xsl:for-each select="ns0:TeostajaRoll">
										<o:TeostajaRoll>
											<xsl:value-of select="string(.)"/>
										</o:TeostajaRoll>
									</xsl:for-each>
									<xsl:for-each select="ns0:TegevusAeg">
										<o:TegevusAeg>
											<xsl:value-of select="string(.)"/>
										</o:TegevusAeg>
									</xsl:for-each>
								</o:KyTegevus>
							</xsl:for-each>
						</o:Kirjeldusyksus>
					</xsl:if>
				</xsl:for-each>
			</o:Arhiivikirjeldus>				
		</o:UAM_import>
	</xsl:template>		
</xsl:stylesheet>
